export const menuData = [
    {
        optionName: "首页",
        iconClassName: "el-icon-s-home",
        routerName: "Index",
        index: '-1',
        disabled: false
    },
    {
        optionName: "产床管理",
        iconClassName: "el-icon-setting",
        index: '1',
        disabled: false, // 是否禁用
        childList: [
            {
                optionName: '产房信息',
                index: '1-1',
                routerName: "DeliveryRoom"
            },
            // {
            //     optionName: '牧场信息',
            //     index: '1-2',
            //     routerName: "aa"
            // },
            // {
            //     optionName: '猪舍信息',
            //     index: '1-3',
            //     routerName: "aa"
            // },
            // {
            //     optionName: '人员信息',
            //     index: '1-4',
            //     routerName: "aa"
            // }

        ]
    },
    {
        optionName: "统计分析",
        iconClassName: "el-icon-s-flag",
        index: '2',
        disabled: false,
        childList: [
            {
                optionName: 'PSY分析',
                index: '2-1',
                routerName: "PSY"
            },
            {
                optionName: '出栏预测',
                index: '2-2',
                routerName: "Crop"
            },
            {
                optionName: '反推',
                index: '2-3',
                routerName: "back"
            }
            
        ]
    },

    {
        optionName: "消息通知",
        iconClassName: "el-icon-s-flag",
        index: '21',
        disabled: false,
        childList: [
            {
                optionName: '生产预警',
                index: '21-1',
                routerName: "productionWarn"
            },
            {
                optionName: '设备故障',
                index: '21-2',
                routerName: "deviceFault"
            },
        ]
    },
    {
        optionName: "系统配置",
        iconClassName: "el-icon-coordinate",
        index: '4',
        disabled: false,
        childList: [
            {
                optionName: '设备配置',
                index: '4-1',
                routerName: "deviceConfig"
            },
            {
                optionName: '软件配置',
                index: '4-2',
                routerName: "softwareSet"
            }
        ]
    },
    {
        optionName: "档案信息",
        iconClassName: "el-icon-monitor",
        index: '5',
        disabled: false, // 是否禁用
        childList: [
            {
                optionName: '牧场配置',
                index: '5-2',
                routerName: "prairieConfig"
            }
        ]
    },
]

// export default {menuData}




/* 菜单配置 描述 */
const menuData描述 = [
    // 有子菜单 并且字菜单分组的
    {
        oneMenuName: "导航一", // 一级菜单名
        iconClassName: "aaa", // element-ui图标名
        index: '1', // 唯一标志
        childList: [ // 分组的
            {
                groupName: '组名一',
                index: '1-1-1',
                list: [
                    {
                        optionName: '选项1',
                        routerName: "home"
                    },
                    {}
                ],
            },
            {
                groupName: '组名二',
                index: '1-1-2',
                list: [
                    {
                        optionName: '选项1',
                        routerName: "home"
                    },
                    {}
                ],
            }
        ],
    },
    // 有子菜单 字菜单不分组的
    {
        oneMenuName: "导航二",
        iconClassName: "el-icon-menu",
        index: '2',
        disabled: false, // 是否禁用
        childList: [ // 不分组的
            {
                optionName: '选项1',
                index: '2-1',
                routerName: "home"
            },
            {}
        ]
    },
    // 无子菜单的
    {
        oneMenuName: "导航三",
        iconClassName: "el-icon-document",
        routerName: "home",
        index: '3',
        disabled: false
    },

    "导航四"
]


